Support » Plugin: Leaky Paywall for WordPress » Latest update (4.6.0) breaks entire admin portal with Stripe error

  • Upon updating LeakyPaywall for WordPress to the latest 4.6.0 version, every page in the admin panel is bricked with the following error (running in WP_DEBUG mode):

    Fatal error: Uncaught Stripe_AuthenticationError: No API key provided. (HINT: set your API key using "Stripe::setApiKey(<API-KEY>)". You can generate API keys from the Stripe web interface. See https://stripe.com/api for details, or email support@stripe.com if you have any questions. in /Users/sshannon/Sites/pennypass/blog-copy/wp-content/plugins/leaky-paywall/include/stripe/lib/Stripe/ApiRequestor.php:176 Stack trace: #0 /Users/sshannon/Sites/pennypass/blog-copy/wp-content/plugins/leaky-paywall/include/stripe/lib/Stripe/ApiRequestor.php(114): Stripe_ApiRequestor->_requestRaw('get', '/v1/charges', Array) #1 /Users/sshannon/Sites/pennypass/blog-copy/wp-content/plugins/leaky-paywall/include/stripe/lib/Stripe/ApiResource.php(108): Stripe_ApiRequestor->request('get', '/v1/charges', Array) #2 /Users/sshannon/Sites/pennypass/blog-copy/wp-content/plugins/leaky-paywall/include/stripe/lib/Stripe/Charge.php(26): Stripe_ApiResource::_scopedAll('Stripe_Charge', NULL, NULL) #3 /Users/sshannon/Sites/pennypass/blog-copy/wp-content/pl in /Users/sshannon/Sites/pennypass/blog-copy/wp-content/plugins/leaky-paywall/include/stripe/lib/Stripe/ApiRequestor.php on line 176

    https://cl.ly/0w1X1B2M0x1K

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Latest update (4.6.0) breaks entire admin portal with Stripe error’ is closed to new replies.